| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
jmemnobs.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`
`#include "jmemsys.h"`

Go to the source code of this file.

## Macros
#define | JPEG_INTERNALS

## Functions
| jpeg_get_small (j_common_ptr cinfo, size_t sizeofobject)
| jpeg_free_small (j_common_ptr cinfo, void *object, size_t sizeofobject)
| jpeg_get_large (j_common_ptr cinfo, size_t sizeofobject)
| jpeg_free_large (j_common_ptr cinfo, void FAR *object, size_t sizeofobject)
| jpeg_mem_available (j_common_ptr cinfo, long min_bytes_needed, long max_bytes_needed, long already_allocated)
| jpeg_open_backing_store (j_common_ptr cinfo, backing_store_ptr info, long total_bytes_needed)
| jpeg_mem_init (j_common_ptr cinfo)
| jpeg_mem_term (j_common_ptr cinfo)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 18 of file jmemnobs.c.

## Function Documentation

jpeg_free_large | ( | j_common_ptr | cinfo,
|  | void FAR * | object,
|  | size_t | sizeofobject
| ) |  |

Definition at line 61 of file jmemnobs.c.

jpeg_free_small | ( | j_common_ptr | cinfo,
|  | void * | object,
|  | size_t | sizeofobject
| ) |  |

Definition at line 41 of file jmemnobs.c.

jpeg_get_large | ( | j_common_ptr | cinfo,
|  | size_t | sizeofobject
| ) |  |

Definition at line 55 of file jmemnobs.c.

jpeg_get_small | ( | j_common_ptr | cinfo,
|  | size_t | sizeofobject
| ) |  |

Definition at line 35 of file jmemnobs.c.

jpeg_mem_available | ( | j_common_ptr | cinfo,
|  | long | min_bytes_needed,
|  | long | max_bytes_needed,
|  | long | already_allocated
| ) |  |

Definition at line 73 of file jmemnobs.c.

jpeg_mem_init | ( | j_common_ptr | cinfo | ) |

Definition at line 100 of file jmemnobs.c.

jpeg_mem_term | ( | j_common_ptr | cinfo | ) |

Definition at line 106 of file jmemnobs.c.

jpeg_open_backing_store | ( | j_common_ptr | cinfo,
|  | backing_store_ptr | info,
|  | long | total_bytes_needed
| ) |  |

Definition at line 87 of file jmemnobs.c.